v.to.sites(1)	       Grass User's Manual	    v.to.sites(1)



NNAAMMEE
       vv..ttoo..ssiitteess  - Converts point data in a binary GRASS vector
       map layer into a GRASS _s_i_t_e___l_i_s_t_s file.
       _(_G_R_A_S_S _V_e_c_t_o_r _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       vv..ttoo..ssiitteess
       vv..ttoo..ssiitteess hheellpp
       vv..ttoo..ssiitteess [[--aaccCCiidd] iinnppuutt==_n_a_m_e oouuttppuutt==_n_a_m_e [ddmmaaxx==_v_a_l_u_e]

DDEESSCCRRIIPPTTIIOONN
       The _v_._t_o_._s_i_t_e_s program extracts data from a  GRASS  vector
       map  layer  and	stores	output	in a new GRASS _s_i_t_e___l_i_s_t_s
       file.  If  --aa flag is selected,	_v_._t_o_._s_i_t_e_s  extracts  all
       vertices  from a vector file, if not selected, it extracts
       site (point) features only, ignoring lines and areas.   If
       --ii  flag  is selected then, for each line, if the distance
       between any two vertices on  this  line	is  greater  that
       ddmmaaxx,  additional  points  are  added to keep the distance
       withing ddmmaaxx range.  The resulting sites map layer can  be
       used with such programs as _d_._s_i_t_e_s.


       The user can run the program non-interactively by specify-
       ing the names of an existing vector iinnppuutt map layer and	a
       new  site list file to be oouuttppuutt on the command line.  The
       program will  be  run  interactively  if  the  user  types
       vv..ttoo..ssiitteess without arguments on the command line.  In this
       case, the user will be prompted to enter parameter  values
       through	the standard user interface described in the man-
       ual entry for _p_a_r_s_e_r.

OOPPTTIIOONNSS::
   FFllaaggss::
       --aa     Outputs all vertices (instead of	site  data  only)
	      from vector file to site file

       --cc     The  Category  NUMERIC  data  is	used  instead  of
	      attribute as a site description

       --CC     The Category TEXT data is used instead of attribute
	      as a site description

       --ii     Additional sites are added between each 2 points on
	      a line if the distance between them is greater than
	      specified ddmmaaxx.  (valid only when --aa is used)

       --dd     Write attribute as double instead of cat.


       If any of the sites have been labeled in _v_._d_i_g_i_t, then the
       resultant site list will contain category information  (or
       attribute in case --aa was used but --cc was not).  If none of
       the sites are labeled, a binary (0/1) site list file  will
       be produced.


   PPaarraammeetteerrss::
       iinnppuutt==_n_a_m_e
	      Name  of	an  existing binary vector map layer from
	      which site data are to be extracted.

       oouuttppuutt==_n_a_m_e
	      Name to be assigned  to  the  resultant  _s_i_t_e___l_i_s_t_s
	      file.

       ddmmaaxx==_v_a_l_u_e
	      Maximum distance between points (valid only when --aa
	      and --ii are used)


NNOOTTEESS
       Vector lines must be labeled.


       If the flag --ii is selected, a spline function is  used  to
       generate  additional  points  along the line. To avoid the
       generating of lots of points along contours, ddmmaaxx==  should
       be  really  large  so  that  vv..ttoo..ssiitteess	does  not add any
       addtional sites to the data. On the other hand,	if  addi-
       tional  sites  data  are  desired, ddmmaaxx== should be smaller
       than the distances between existing data points.

SSEEEE AALLSSOO
       _d_._s_i_t_e_s, _v_._d_i_g_i_t and _p_a_r_s_e_r

AAUUTTHHOORR
       Dave Gerdes,
       Irina Kosinovsky,
       U.S.Army Construction Engineering Research Laboratory

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_1_/_2_5 _0_5_:_4_5_:_3_5 _$



GRASS 5.0					    v.to.sites(1)
